<mat-progress-bar
  *ngIf="'default' | swIsLoading | async"
  mode="indeterminate"
  color="warn"
  style="position: absolute; top: 0; z-index: 100"
>
</mat-progress-bar>

<mat-toolbar color="primary">
  <mat-toolbar-row *ngIf="headerService.component$ | async as component">
    <ng-template [cdkPortalOutlet]="component"></ng-template>
  </mat-toolbar-row>
</mat-toolbar>

<mat-sidenav-container style="flex: 1">
  <mat-sidenav
    *ngIf="navMenuService.component$ | async as component"
    opened
    mode="side"
    position="start"
  >
    <ng-template [cdkPortalOutlet]="component"></ng-template>
  </mat-sidenav>

  <mat-sidenav-content>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>
